Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ Creator & Designer Forum Discussions

ETRO_SSN583
Level 9
Level 9
100 sign-ins 5 likes given 1000 replies posted

I am trying to take a 4.4 ap note project and move to 5.3. 5.3 says I

   

first have to compile in 4.4. When I go to do that 4.4 complains I have

   

no license, and in options menu, compiler, sure enough license field

   

is empty.

   

 

   

What do I use in that field for the free STD version of the compiler ?

   

 

   

Regards, Dana.

0 Likes
3 Replies
Bob_Marlowe
Level 10
Level 10
First like given 50 questions asked 10 questions asked

Hi Dana,

   

you do not have to compile the project, just open it and save it back, so the internal structure built by the chip editor can be opened with the newer version 5. The C-code stays the same and the generated assembly/machine code will be re-built at every compilation.

   

 

   

Bob

0 Likes
ETRO_SSN583
Level 9
Level 9
100 sign-ins 5 likes given 1000 replies posted

I did find the work around but still need to fix this

   

license issue for other work I am doing.

   

 

   

Regards, Dana.

0 Likes
Bob_Marlowe
Level 10
Level 10
First like given 50 questions asked 10 questions asked

Dana, who told you about my bad eye-sight? (smile)

   

 

   

Bob

0 Likes